/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.ruralprojectrecords.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.ruralprojectrecords.entity.RuralProjectRecords;

import java.util.List;

/**
 * 项目登记DAO接口
 * @author ppt
 * @version 2018-05-02
 */
@MyBatisDao
public interface RuralProjectRecordsDao extends CrudDao<RuralProjectRecords> {


    void updateProcessIdAndStatus(RuralProjectRecords projectRecords);

    void updateSelectiveById(RuralProjectRecords projectRecords);

    List<RuralProjectRecords> findListByStatus(RuralProjectRecords projectRecords);

    void updateSelectiveByProjectId(RuralProjectRecords records);

    RuralProjectRecords findUseableByProjectId(String projectId);
    List<RuralProjectRecords> findPageByRe(RuralProjectRecords records);
    int queryCount(RuralProjectRecords records);
    int queryCountByStatus(RuralProjectRecords records);
}